deductionguidesforstd::basic_regex(3)

NAME
deductionguidesforstd::basic_regex - deductionguidesforstd::basic_regex

Synopsis
   Defined in header <regex>
   template<class ForwardIt>
   basic_regex(ForwardIt, ForwardIt,
   std::regex_constants::syntax_option_type = (since C++17)
   std::regex_constants::ECMAScript)
   -> basic_regex<typename std::iterator_traits<ForwardIt>::value_type>;
   This deduction guide is provided for std::basic_regex to allow deduction from an
   iterator range.

Example
// Run this code
 #include <regex>
 #include <vector>
 int main() {
    std::vector<char> v = {'a', 'b', 'c'};
    std::basic_regex re(v.begin(), v.end()); // uses explicit deduction guide
 }